import { AfterViewInit, OnDestroy, ElementRef, NgZone, OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
import { ChartDonutOptions, ChartLineOptions, ChartBarOptions, ChartAreaOptions, ChartDonutData, ChartLineData, ChartBarData, ChartAreaData } from './morris-chart.interface';
interface BaseChartConfig<Data> {
    element: Element;
    data: Data;
}
declare type ChartConfig<Options, Data> = Options & BaseChartConfig<Data>;
export declare class BaseMorrisChartDirective<Options, Data> implements AfterViewInit, OnChanges, OnDestroy {
    private elementRef;
    private ngZone;
    mkMorrisJs: 'Line' | 'Area' | 'Bar' | 'Donut';
    clickChart: EventEmitter<any>;
    chartInstance: any;
    protected window: any;
    protected morrisConfig?: ChartConfig<Options, Data>;
    protected data?: Data;
    protected options?: Options;
    constructor(elementRef: ElementRef, ngZone: NgZone);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
export declare class MorrisLineChartDirective extends BaseMorrisChartDirective<ChartLineOptions, ChartLineData[]> {
    options: ChartLineOptions;
    data: ChartLineData[];
}
export declare class MorrisBarChartDirective extends BaseMorrisChartDirective<ChartBarOptions, ChartBarData[]> {
    options: ChartBarOptions;
    data: ChartBarData[];
}
export declare class MorrisDonutChartDirective extends BaseMorrisChartDirective<ChartDonutOptions, ChartDonutData[]> {
    options: ChartDonutOptions;
    data: ChartDonutData[];
}
export declare class MorrisAreaChartDirective extends BaseMorrisChartDirective<ChartAreaOptions, ChartAreaData[]> {
    options: ChartAreaOptions;
    data: ChartAreaData[];
}
export {};
